Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Public Attributes
XSalsa20 Struct Reference

XSalsa20, variable rounds: 8, 12 or 20 (default 20) More...

`#include <salsa.h>`

Inheritance diagram for XSalsa20:

List of all members.

## Public Types

typedef SymmetricCipherFinal < ConcretePolicyHolder < XSalsa20_Policy, AdditiveCipherTemplate <> >, XSalsa20_Info > | Encryption
| implements the SymmetricCipher interface
typedef Encryption | Decryption
| implements the SymmetricCipher interface

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

XSalsa20, variable rounds: 8, 12 or 20 (default 20)

Definition at line 57 of file salsa.h.

The documentation for this struct was generated from the following file:

- salsa.h